## neutron-dynamic-routing 20.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0

eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
httplib2>=0.9.1 # MIT
netaddr>=0.7.18 # BSD
SQLAlchemy>=1.3.3 # MIT
alembic>=0.9.6 # MIT
neutron-lib>=1.26.0 # Apache-2.0
os-ken>=0.3.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.db>=4.44.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.utils>=4.5.0 # Apache-2.0
neutron>=14.0.0.0b1 # Apache-2.0

# The comment below indicates this project repo is current with neutron-lib
# and should receive neutron-lib consumption patches as they are released
# in neutron-lib. It also implies the project will stay current with TC
# and infra initiatives ensuring consumption patches can land.
# neutron-lib-current

=== debian/changelog ===
neutron-dynamic-routing (2:20.0.0-0ubuntu1) jammy; urgency=medium

  * d/watch: Scope to 20.x series.
  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Mar 2022 08:00:24 -0400

neutron-dynamic-routing (2:19.0.0+git2021120910.8a0ddf6-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Dec 2021 10:09:31 -0500

=== debian/control ===
Source: neutron-dynamic-routing
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-alembic (>= 0.9.6),
 python3-coverage (>= 4.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-hacking,
 python3-httplib2 (>= 0.9.1),
 python3-mock (>= 2.0.0),
 python3-netaddr (>= 0.7.18),
 python3-neutron (>= 2:16.0.0),
 python3-neutron-lib (>= 1.26.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-ken (>= 0.3.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.db (>= 4.44.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 4.5.0),
 python3-oslotest (>= 1:3.2.0),
 python3-requests-mock (>= 1.1.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-sqlalchemy (>= 1.3.3),
 python3-stestr (>= 1.0.0),
 python3-subunit (>= 1.0.0),
 python3-tempest (>= 1:17.1.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.8.2),
 python3-webtest (>= 2.0.27),
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/neutron-dynamic-routing
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/neutron-dynamic-routing
Homepage: https://opendev.org/openstack/neutron-dynamic-routing

Package: neutron-bgp-dragent
Architecture: all
Depends:
 neutron-dynamic-routing-common (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: OpenStack Neutron Dynamic Routing - Agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Neutron dynamic routing enables advertisement of self-service (private)
 network prefixes to physical network devices that support dynamic routing
 protocols such as routers, thus removing the conventional dependency on static
 routes.
 .
 It advertises three classes of routes:
  * Host routes for floating IP addresses hosted on non-DVR routers, the
    nexthop is the centralized router.
  * Host routes for floating IP addresses hosted on DVR routers, the nexthop is
    the appropriate compute node.
  * Prefix routes for directly routable tenant networks with address scopes,
    the nexthop is the centralized router, the same for DVR and CVR.
 .
 Neutron dynamic routing consists of service plug-in and agent. The service
 plug-in implements the Networking service extension and the agent manages
 dynamic routing protocol peering sessions. The plug-in communicates with the
 agent through RPC.
 .
 This package contains the Dynamic Routing agent.

Package: neutron-dynamic-routing-common
Architecture: all
Depends:
 neutron-common,
 python3-neutron-dynamic-routing (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: OpenStack Neutron Dynamic Routing - common files
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Neutron dynamic routing enables advertisement of self-service (private)
 network prefixes to physical network devices that support dynamic routing
 protocols such as routers, thus removing the conventional dependency on static
 routes.
 .
 It advertises three classes of routes:
  * Host routes for floating IP addresses hosted on non-DVR routers, the
    nexthop is the centralized router.
  * Host routes for floating IP addresses hosted on DVR routers, the nexthop is
    the appropriate compute node.
  * Prefix routes for directly routable tenant networks with address scopes,
    the nexthop is the centralized router, the same for DVR and CVR.
 .
 Neutron dynamic routing consists of service plug-in and agent. The service
 plug-in implements the Networking service extension and the agent manages
 dynamic routing protocol peering sessions. The plug-in communicates with the
 agent through RPC.
 .
 This package contains common files.

Package: python3-neutron-dynamic-routing
Architecture: all
Section: python
Depends:
 python3-alembic (>= 0.9.6),
 python3-eventlet (>= 0.18.2),
 python3-httplib2 (>= 0.9.1),
 python3-netaddr (>= 0.7.18),
 python3-neutron (>= 2:16.0.0),
 python3-neutron-lib (>= 1.26.0),
 python3-os-ken (>= 0.3.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.db (>= 4.44.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 4.5.0),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.3.3),
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: OpenStack Neutron Dynamic Routing - Python 3 library
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Neutron dynamic routing enables advertisement of self-service (private)
 network prefixes to physical network devices that support dynamic routing
 protocols such as routers, thus removing the conventional dependency on static
 routes.
 .
 It advertises three classes of routes:
  * Host routes for floating IP addresses hosted on non-DVR routers, the
    nexthop is the centralized router.
  * Host routes for floating IP addresses hosted on DVR routers, the nexthop is
    the appropriate compute node.
  * Prefix routes for directly routable tenant networks with address scopes,
    the nexthop is the centralized router, the same for DVR and CVR.
 .
 Neutron dynamic routing consists of service plug-in and agent. The service
 plug-in implements the Networking service extension and the agent manages
 dynamic routing protocol peering sessions. The plug-in communicates with the
 agent through RPC.
 .
 This package provides the Python 3 library.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
https://tarballs.opendev.org/openstack/neutron-dynamic-routing/ neutron-dynamic-routing-(20\.\d.*)\.tar\.gz

## neutron-dynamic-routing 20.0.1

=== debian/changelog ===
neutron-dynamic-routing (2:20.0.1-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Thu, 06 Nov 2025 13:46:48 +0000

neutron-dynamic-routing (2:20.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2022 21:31:54 +0200

neutron-dynamic-routing (2:20.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 15:45:27 +0100

neutron-dynamic-routing (2:20.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Add autopkgtest.
  * Add pyroute2 as build-depends.
  * Use neutron-lib >= 2.20.0, neutron 2:20.0.0~ and pyroute2 (>= 0.6.7).

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Mar 2022 15:37:14 +0100

## neutron-dynamic-routing 21.0.0

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
+
 # The order of packages is significant, because pip processes them in the order
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.

=== debian/changelog ===
neutron-dynamic-routing (2:21.0.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:27:15 +0200

neutron-dynamic-routing (2:21.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2022 08:47:33 +0200

neutron-dynamic-routing (2:21.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Sep 2022 17:51:14 +0200

neutron-dynamic-routing (2:21.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Sep 2022 12:41:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,58 +1,60 @@
 Source: neutron-dynamic-routing
 Section: net
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
- David Della Vecchia <ddv@canonical.com>,
+ Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 11),
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr (>= 2.0.0),
+ python3-pbr,
  python3-setuptools,
- python3-sphinx (>= 2.0.0),
+ python3-sphinx,
 Build-Depends-Indep:
- python3-alembic (>= 0.9.6),
- python3-coverage (>= 4.0),
- python3-eventlet (>= 0.18.2),
- python3-fixtures (>= 3.0.0),
+ neutron-common,
+ python3-alembic,
+ python3-coverage,
+ python3-eventlet,
+ python3-fixtures,
  python3-hacking,
- python3-httplib2 (>= 0.9.1),
- python3-mock (>= 2.0.0),
- python3-netaddr (>= 0.7.18),
- python3-neutron (>= 2:16.0.0),
- python3-neutron-lib (>= 1.26.0),
- python3-openstackdocstheme (>= 2.2.1),
- python3-os-ken (>= 0.3.0),
- python3-os-testr (>= 1.0.0),
- python3-oslo.concurrency (>= 3.26.0),
- python3-oslo.config (>= 1:5.2.0),
- python3-oslo.db (>= 4.44.0),
- python3-oslo.log (>= 3.36.0),
- python3-oslo.messaging (>= 5.29.0),
- python3-oslo.serialization (>= 2.18.0),
- python3-oslo.service (>= 1.24.0),
- python3-oslo.utils (>= 4.5.0),
- python3-oslotest (>= 1:3.2.0),
- python3-requests-mock (>= 1.1.0),
- python3-six (>= 1.10.0),
- python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
- python3-sqlalchemy (>= 1.3.3),
- python3-stestr (>= 1.0.0),
- python3-subunit (>= 1.0.0),
- python3-tempest (>= 1:17.1.0),
- python3-testresources (>= 2.0.0),
- python3-testscenarios (>= 0.4),
- python3-testtools (>= 2.2.0),
- python3-webob (>= 1:1.8.2),
- python3-webtest (>= 2.0.27),
-Standards-Version: 4.5.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/neutron-dynamic-routing
-Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/neutron-dynamic-routing
-Homepage: https://opendev.org/openstack/neutron-dynamic-routing
+ python3-httplib2,
+ python3-mock,
+ python3-netaddr,
+ python3-neutron (>= 2:20.0.0~),
+ python3-neutron-lib (>= 2.20.0),
+ python3-openstackdocstheme,
+ python3-os-ken,
+ python3-oslo.concurrency,
+ python3-oslo.config,
+ python3-oslo.db,
+ python3-oslo.log,
+ python3-oslo.messaging,
+ python3-oslo.serialization,
+ python3-oslo.service,
+ python3-oslo.utils,
+ python3-oslotest,
+ python3-pyroute2 (>= 0.6.7),
+ python3-reno,
+ python3-requests-mock,
+ python3-sqlalchemy,
+ python3-stestr,
+ python3-subunit,
+ python3-tempest,
+ python3-tenacity,
+ python3-testresources,
+ python3-testscenarios,
+ python3-testtools,
+ python3-webob,
+ python3-webtest,
+ subunit,
+ tempest,
+Standards-Version: 4.5.1
+Vcs-Browser: https://salsa.debian.org/openstack-team/neutron-plugins/neutron-dynamic-routing
+Vcs-Git: https://salsa.debian.org/openstack-team/neutron-plugins/neutron-dynamic-routing.git
+Homepage: https://github.com/openstack/neutron-dynamic-routing
 
 Package: neutron-bgp-dragent
 Architecture: all
@@ -93,6 +95,7 @@
  neutron-common,
  python3-neutron-dynamic-routing (= ${source:Version}),
  ${misc:Depends},
+ ${python3:Depends},
  ${shlibs:Depends},
 Description: OpenStack Neutron Dynamic Routing - common files
  Neutron provides an API to dynamically request and configure virtual networks.
@@ -124,28 +127,30 @@
 Architecture: all
 Section: python
 Depends:
- python3-alembic (>= 0.9.6),
- python3-eventlet (>= 0.18.2),
- python3-httplib2 (>= 0.9.1),
- python3-netaddr (>= 0.7.18),
- python3-neutron (>= 2:16.0.0),
- python3-neutron-lib (>= 1.26.0),
- python3-os-ken (>= 0.3.0),
- python3-oslo.config (>= 1:5.2.0),
- python3-oslo.db (>= 4.44.0),
- python3-oslo.log (>= 3.36.0),
- python3-oslo.messaging (>= 5.29.0),
- python3-oslo.serialization (>= 2.18.0),
- python3-oslo.service (>= 1.24.0),
- python3-oslo.utils (>= 4.5.0),
- python3-pbr (>= 2.0.0),
- python3-six (>= 1.10.0),
- python3-sqlalchemy (>= 1.3.3),
+ python3-alembic,
+ python3-eventlet,
+ python3-httplib2,
+ python3-netaddr,
+ python3-neutron (>= 2:20.0.0~),
+ python3-neutron-lib (>= 2.20.0),
+ python3-os-ken,
+ python3-oslo.config,
+ python3-oslo.db,
+ python3-oslo.log,
+ python3-oslo.messaging,
+ python3-oslo.serialization,
+ python3-oslo.service,
+ python3-oslo.utils,
+ python3-pbr,
+ python3-sqlalchemy,
+ python3-tenacity,
  ${misc:Depends},
  ${python3:Depends},
-Provides:
- ${python3:Provides},
-Description: OpenStack Neutron Dynamic Routing - Python 3 library
+Breaks:
+ python-neutron-dynamic-routing,
+Replaces:
+ python-neutron-dynamic-routing,
+Description: OpenStack Neutron Dynamic Routing - Python library
  Neutron provides an API to dynamically request and configure virtual networks.
  These networks connect "interfaces" from other OpenStack services (such as
  vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
@@ -169,4 +174,4 @@
  dynamic routing protocol peering sessions. The plug-in communicates with the
  agent through RPC.
  .
- This package provides the Python 3 library.
+ This package provides the Python library.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = https://github.com/openstack/neutron-dynamic-routing.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	python3 setup.py clean
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_clean:
	dh_clean
	find . -type f -name "*.pyc" -delete
	rm -rf build

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-dynamic-routing-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-dynamic-routing-common.postinst

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'neutron_dynamic_routing\.tests.unit\.(?!(.*services\.bgp.agent\.test_bgp_dragent\.TestBgpDrAgent\.test_bgp_dragent_manager.*))'
endif

	mkdir -p $(CURDIR)/debian/neutron-dynamic-routing-common/etc/neutron
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-dynamic-routing-common/etc/neutron/bgp_dragent.ini \
		--wrap-width 140 \
		--namespace bgp.agent

	mkdir -p $(CURDIR)/debian/neutron-dynamic-routing-common/etc/neutron/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/neutron-dynamic-routing-common/etc/neutron/policy.d/dynamic_routing.json \
		--format json \
		--namespace neutron-dynamic-routing

	rm -rf $(CURDIR)/debian/tmp/usr/etc

	# Fix bgp_speaker_driver
	# neutron_dynamic_routing.services.bgp.agent.driver.os_ken.driver.OsKenBgpDriver is currently only one and should be default
	pkgos-fix-config-default $(CURDIR)/debian/neutron-dynamic-routing-common/etc/neutron/bgp_dragent.ini bgp bgp_speaker_driver neutron_dynamic_routing.services.bgp.agent.driver.os_ken.driver.OsKenBgpDriver

	dh_install
	dh_missing --fail-missing

override_dh_auto_test:
	echo "Do nothing..."

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## neutron-dynamic-routing 21.0.1

=== debian/changelog ===
neutron-dynamic-routing (2:21.0.1-2~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Force OS_DEFAULT__USE_JSON=False in the init script of bgp-dragent, as it
    crashes with use_json=True and debug=True.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-zed.infomaniak.ch>  Wed, 12 Nov 2025 10:46:36 +0000

neutron-dynamic-routing (2:21.0.1-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Sep 2023 14:55:26 +0200

## neutron-dynamic-routing 22.0.0

=== debian/changelog ===
neutron-dynamic-routing (2:22.0.0-3~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Force OS_DEFAULT__USE_JSON=False in the init script of bgp-dragent, as it
    crashes with use_json=True and debug=True.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-antelope.debian.net>  Wed, 12 Nov 2025 10:41:02 +0000

neutron-dynamic-routing (2:22.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Jun 2023 10:18:20 +0200

neutron-dynamic-routing (2:22.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Mar 2023 16:19:07 +0100

neutron-dynamic-routing (2:22.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bookworm.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Mar 2023 09:17:54 +0100

=== debian/control ===
--- 
+++ 
@@ -23,8 +23,8 @@
  python3-httplib2,
  python3-mock,
  python3-netaddr,
- python3-neutron (>= 2:20.0.0~),
- python3-neutron-lib (>= 2.20.0),
+ python3-neutron,
+ python3-neutron-lib,
  python3-openstackdocstheme,
  python3-os-ken,
  python3-oslo.concurrency,
@@ -36,7 +36,7 @@
  python3-oslo.service,
  python3-oslo.utils,
  python3-oslotest,
- python3-pyroute2 (>= 0.6.7),
+ python3-pyroute2,
  python3-reno,
  python3-requests-mock,
  python3-sqlalchemy,
@@ -131,8 +131,8 @@
  python3-eventlet,
  python3-httplib2,
  python3-netaddr,
- python3-neutron (>= 2:20.0.0~),
- python3-neutron-lib (>= 2.20.0),
+ python3-neutron,
+ python3-neutron-lib,
  python3-os-ken,
  python3-oslo.config,
  python3-oslo.db,

## neutron-dynamic-routing 23.0.0

=== debian/changelog ===
neutron-dynamic-routing (2:23.0.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 05 Oct 2023 13:11:50 +0000

neutron-dynamic-routing (2:23.0.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 09:13:24 -0400

neutron-dynamic-routing (2:22.0.0+git2023090714.f7baab86-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream snapshot for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Sep 2023 14:39:33 -0400

neutron-dynamic-routing (2:22.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Mar 2023 15:06:43 -0400

neutron-dynamic-routing (2:22.0.0~rc1-0ubuntu1) lunar; urgency=medium

  * d/watch: Drop major version.
  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Mar 2023 07:57:22 -0500

neutron-dynamic-routing (2:21.0.0+git2023011010.7ef8db9c-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 10:20:56 -0500

neutron-dynamic-routing (2:21.0.0-0ubuntu1) kinetic; urgency=medium

  * d/watch: Scope to 21.x series.
  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 17:12:58 -0400

neutron-dynamic-routing (2:20.0.0+git2022091214.ddac34b-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 14:11:53 -0400

neutron-dynamic-routing (2:20.0.0+git2022071815.608037e-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 18 Jul 2022 15:28:14 -0400

neutron-dynamic-routing (2:20.0.0+git2022060610.61817ea-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Jun 2022 10:01:13 -0400

=== debian/control ===
--- 
+++ 
@@ -1,60 +1,58 @@
 Source: neutron-dynamic-routing
 Section: net
-Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Priority: extra
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
- Michal Arbet <michal.arbet@ultimum.io>,
+ David Della Vecchia <ddv@canonical.com>,
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper-compat (= 13),
  dh-python,
- openstack-pkg-tools,
+ openstack-pkg-tools (>= 119ubuntu1~),
  python3-all,
- python3-pbr,
+ python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
- neutron-common,
- python3-alembic,
- python3-coverage,
- python3-eventlet,
- python3-fixtures,
+ python3-alembic (>= 0.9.6),
+ python3-coverage (>= 4.0),
+ python3-eventlet (>= 0.18.2),
+ python3-fixtures (>= 3.0.0),
  python3-hacking,
- python3-httplib2,
- python3-mock,
- python3-netaddr,
- python3-neutron,
- python3-neutron-lib,
- python3-openstackdocstheme,
- python3-os-ken,
- python3-oslo.concurrency,
- python3-oslo.config,
- python3-oslo.db,
- python3-oslo.log,
- python3-oslo.messaging,
- python3-oslo.serialization,
- python3-oslo.service,
- python3-oslo.utils,
- python3-oslotest,
- python3-pyroute2,
- python3-reno,
- python3-requests-mock,
- python3-sqlalchemy,
- python3-stestr,
- python3-subunit,
- python3-tempest,
- python3-tenacity,
- python3-testresources,
- python3-testscenarios,
- python3-testtools,
- python3-webob,
- python3-webtest,
- subunit,
- tempest,
-Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/openstack-team/neutron-plugins/neutron-dynamic-routing
-Vcs-Git: https://salsa.debian.org/openstack-team/neutron-plugins/neutron-dynamic-routing.git
-Homepage: https://github.com/openstack/neutron-dynamic-routing
+ python3-httplib2 (>= 0.9.1),
+ python3-mock (>= 2.0.0),
+ python3-netaddr (>= 0.7.18),
+ python3-neutron (>= 2:23.0.0~),
+ python3-neutron-lib (>= 1.26.0),
+ python3-openstackdocstheme (>= 2.2.1),
+ python3-os-ken (>= 0.3.0),
+ python3-os-testr (>= 1.0.0),
+ python3-oslo.concurrency (>= 3.26.0),
+ python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.db (>= 4.44.0),
+ python3-oslo.log (>= 3.36.0),
+ python3-oslo.messaging (>= 5.29.0),
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.service (>= 1.24.0),
+ python3-oslo.utils (>= 4.5.0),
+ python3-oslotest (>= 1:3.2.0),
+ python3-requests-mock (>= 1.1.0),
+ python3-six (>= 1.10.0),
+ python3-sphinxcontrib.apidoc (>= 0.2.0),
+ python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
+ python3-sqlalchemy (>= 1.3.3),
+ python3-stestr (>= 1.0.0),
+ python3-subunit (>= 1.0.0),
+ python3-tempest (>= 1:17.1.0),
+ python3-testresources (>= 2.0.0),
+ python3-testscenarios (>= 0.4),
+ python3-testtools (>= 2.2.0),
+ python3-webob (>= 1:1.8.2),
+ python3-webtest (>= 2.0.27),
+Standards-Version: 4.6.1
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/neutron-dynamic-routing
+Homepage: https://opendev.org/openstack/neutron-dynamic-routing
 
 Package: neutron-bgp-dragent
 Architecture: all
@@ -95,7 +93,6 @@
  neutron-common,
  python3-neutron-dynamic-routing (= ${source:Version}),
  ${misc:Depends},
- ${python3:Depends},
  ${shlibs:Depends},
 Description: OpenStack Neutron Dynamic Routing - common files
  Neutron provides an API to dynamically request and configure virtual networks.
@@ -127,30 +124,28 @@
 Architecture: all
 Section: python
 Depends:
- python3-alembic,
- python3-eventlet,
- python3-httplib2,
- python3-netaddr,
- python3-neutron,
- python3-neutron-lib,
- python3-os-ken,
- python3-oslo.config,
- python3-oslo.db,
- python3-oslo.log,
- python3-oslo.messaging,
- python3-oslo.serialization,
- python3-oslo.service,
- python3-oslo.utils,
- python3-pbr,
- python3-sqlalchemy,
- python3-tenacity,
+ python3-alembic (>= 0.9.6),
+ python3-eventlet (>= 0.18.2),
+ python3-httplib2 (>= 0.9.1),
+ python3-netaddr (>= 0.7.18),
+ python3-neutron (>= 2:23.0.0~),
+ python3-neutron-lib (>= 1.26.0),
+ python3-os-ken (>= 0.3.0),
+ python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.db (>= 4.44.0),
+ python3-oslo.log (>= 3.36.0),
+ python3-oslo.messaging (>= 5.29.0),
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.service (>= 1.24.0),
+ python3-oslo.utils (>= 4.5.0),
+ python3-pbr (>= 2.0.0),
+ python3-six (>= 1.10.0),
+ python3-sqlalchemy (>= 1.3.3),
  ${misc:Depends},
  ${python3:Depends},
-Breaks:
- python-neutron-dynamic-routing,
-Replaces:
- python-neutron-dynamic-routing,
-Description: OpenStack Neutron Dynamic Routing - Python library
+Provides:
+ ${python3:Provides},
+Description: OpenStack Neutron Dynamic Routing - Python 3 library
  Neutron provides an API to dynamically request and configure virtual networks.
  These networks connect "interfaces" from other OpenStack services (such as
  vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
@@ -174,4 +169,4 @@
  dynamic routing protocol peering sessions. The plug-in communicates with the
  agent through RPC.
  .
- This package provides the Python library.
+ This package provides the Python 3 library.

## neutron-dynamic-routing 24.0.0

=== debian/changelog ===
neutron-dynamic-routing (2:24.0.0-4~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Force OS_DEFAULT__USE_JSON=False in the init script of bgp-dragent, as it
    crashes with use_json=True and debug=True.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-caracal.infomaniak.ch>  Wed, 12 Nov 2025 10:43:44 +0000

neutron-dynamic-routing (2:24.0.0-3) unstable; urgency=medium

  * Drop the build-dependency on python3-mock (Closes: #1071012).

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 May 2024 09:05:38 +0200

neutron-dynamic-routing (2:24.0.0-2) unstable; urgency=medium

  * Restrict tests to Architecture: amd64 arm64 ppc64el.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 May 2024 16:31:27 +0200

neutron-dynamic-routing (2:24.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Apr 2024 22:23:13 +0200

neutron-dynamic-routing (2:24.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Depends on neutron 24.0.0~.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Mar 2024 11:35:28 +0100

neutron-dynamic-routing (2:23.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Oct 2023 13:00:11 +0200

neutron-dynamic-routing (2:23.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Sep 2023 13:53:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,58 +1,59 @@
 Source: neutron-dynamic-routing
 Section: net
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
- David Della Vecchia <ddv@canonical.com>,
+ Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper-compat (= 11),
  dh-python,
- openstack-pkg-tools (>= 119ubuntu1~),
+ openstack-pkg-tools,
  python3-all,
- python3-pbr (>= 2.0.0),
+ python3-pbr,
  python3-setuptools,
- python3-sphinx (>= 2.0.0),
+ python3-sphinx,
 Build-Depends-Indep:
- python3-alembic (>= 0.9.6),
- python3-coverage (>= 4.0),
- python3-eventlet (>= 0.18.2),
- python3-fixtures (>= 3.0.0),
+ neutron-common (>= 2:24.0.0~),
+ python3-alembic,
+ python3-coverage,
+ python3-eventlet,
+ python3-fixtures,
  python3-hacking,
- python3-httplib2 (>= 0.9.1),
- python3-mock (>= 2.0.0),
- python3-netaddr (>= 0.7.18),
- python3-neutron (>= 2:23.0.0~),
- python3-neutron-lib (>= 1.26.0),
- python3-openstackdocstheme (>= 2.2.1),
- python3-os-ken (>= 0.3.0),
- python3-os-testr (>= 1.0.0),
- python3-oslo.concurrency (>= 3.26.0),
- python3-oslo.config (>= 1:5.2.0),
- python3-oslo.db (>= 4.44.0),
- python3-oslo.log (>= 3.36.0),
- python3-oslo.messaging (>= 5.29.0),
- python3-oslo.serialization (>= 2.18.0),
- python3-oslo.service (>= 1.24.0),
- python3-oslo.utils (>= 4.5.0),
- python3-oslotest (>= 1:3.2.0),
- python3-requests-mock (>= 1.1.0),
- python3-six (>= 1.10.0),
- python3-sphinxcontrib.apidoc (>= 0.2.0),
- python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
- python3-sqlalchemy (>= 1.3.3),
- python3-stestr (>= 1.0.0),
- python3-subunit (>= 1.0.0),
- python3-tempest (>= 1:17.1.0),
- python3-testresources (>= 2.0.0),
- python3-testscenarios (>= 0.4),
- python3-testtools (>= 2.2.0),
- python3-webob (>= 1:1.8.2),
- python3-webtest (>= 2.0.27),
-Standards-Version: 4.6.1
-Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/neutron-dynamic-routing
-Homepage: https://opendev.org/openstack/neutron-dynamic-routing
+ python3-httplib2,
+ python3-netaddr,
+ python3-neutron (>= 2:24.0.0~),
+ python3-neutron-lib,
+ python3-openstackdocstheme,
+ python3-os-ken,
+ python3-oslo.concurrency,
+ python3-oslo.config,
+ python3-oslo.db,
+ python3-oslo.log,
+ python3-oslo.messaging,
+ python3-oslo.serialization,
+ python3-oslo.service,
+ python3-oslo.utils,
+ python3-oslotest,
+ python3-pyroute2,
+ python3-reno,
+ python3-requests-mock,
+ python3-sqlalchemy,
+ python3-stestr,
+ python3-subunit,
+ python3-tempest,
+ python3-tenacity,
+ python3-testresources,
+ python3-testscenarios,
+ python3-testtools,
+ python3-webob,
+ python3-webtest,
+ subunit,
+ tempest,
+Standards-Version: 4.5.1
+Vcs-Browser: https://salsa.debian.org/openstack-team/neutron-plugins/neutron-dynamic-routing
+Vcs-Git: https://salsa.debian.org/openstack-team/neutron-plugins/neutron-dynamic-routing.git
+Homepage: https://github.com/openstack/neutron-dynamic-routing
 
 Package: neutron-bgp-dragent
 Architecture: all
@@ -93,6 +94,7 @@
  neutron-common,
  python3-neutron-dynamic-routing (= ${source:Version}),
  ${misc:Depends},
+ ${python3:Depends},
  ${shlibs:Depends},
 Description: OpenStack Neutron Dynamic Routing - common files
  Neutron provides an API to dynamically request and configure virtual networks.
@@ -124,28 +126,30 @@
 Architecture: all
 Section: python
 Depends:
- python3-alembic (>= 0.9.6),
- python3-eventlet (>= 0.18.2),
- python3-httplib2 (>= 0.9.1),
- python3-netaddr (>= 0.7.18),
- python3-neutron (>= 2:23.0.0~),
- python3-neutron-lib (>= 1.26.0),
- python3-os-ken (>= 0.3.0),
- python3-oslo.config (>= 1:5.2.0),
- python3-oslo.db (>= 4.44.0),
- python3-oslo.log (>= 3.36.0),
- python3-oslo.messaging (>= 5.29.0),
- python3-oslo.serialization (>= 2.18.0),
- python3-oslo.service (>= 1.24.0),
- python3-oslo.utils (>= 4.5.0),
- python3-pbr (>= 2.0.0),
- python3-six (>= 1.10.0),
- python3-sqlalchemy (>= 1.3.3),
+ python3-alembic,
+ python3-eventlet,
+ python3-httplib2,
+ python3-netaddr,
+ python3-neutron (>= 2:24.0.0~),
+ python3-neutron-lib,
+ python3-os-ken,
+ python3-oslo.config,
+ python3-oslo.db,
+ python3-oslo.log,
+ python3-oslo.messaging,
+ python3-oslo.serialization,
+ python3-oslo.service,
+ python3-oslo.utils,
+ python3-pbr,
+ python3-sqlalchemy,
+ python3-tenacity,
  ${misc:Depends},
  ${python3:Depends},
-Provides:
- ${python3:Provides},
-Description: OpenStack Neutron Dynamic Routing - Python 3 library
+Breaks:
+ python-neutron-dynamic-routing,
+Replaces:
+ python-neutron-dynamic-routing,
+Description: OpenStack Neutron Dynamic Routing - Python library
  Neutron provides an API to dynamically request and configure virtual networks.
  These networks connect "interfaces" from other OpenStack services (such as
  vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
@@ -169,4 +173,4 @@
  dynamic routing protocol peering sessions. The plug-in communicates with the
  agent through RPC.
  .
- This package provides the Python 3 library.
+ This package provides the Python library.

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,10 @@
 override_dh_auto_clean:
 	python3 setup.py clean
 	rm -f debian/*.init debian/*.service debian/*.upstart
+	rm -rf build *.egg-info
+	rm -f debian/neutron-dynamic-routing-common.config debian/neutron-dynamic-routing-common.postinst
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_clean:
 	dh_clean

## neutron-dynamic-routing 24.0.0+git2024080809.15d30d02

=== debian/changelog ===
neutron-dynamic-routing (2:24.0.0+git2024080809.15d30d02-0ubuntu1) oracular; urgency=medium

  * New upstream snapshot for OpenStack Dalamatian.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Aug 2024 12:01:56 +0100

neutron-dynamic-routing (2:24.0.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2024 15:05:26 +0100

neutron-dynamic-routing (2:24.0.0~rc1-0ubuntu1) noble; urgency=medium

  * New upstream release candidate for OpenStack Caracal. 

 -- James Page <james.page@ubuntu.com>  Thu, 21 Mar 2024 10:26:37 +0000

neutron-dynamic-routing (2:23.0.0+git2024011916.9f355521-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream snapshot for OpenStack Caracal.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: extra->optional.
  * d/control: Add Pre-Depends for neutron-bgp-dragent.
  * d/*: wrap-and-sort -bast.

 -- James Page <james.page@ubuntu.com>  Sat, 03 Feb 2024 13:15:00 +0000

## neutron-dynamic-routing 25.0.0~rc1

=== debian/changelog ===
neutron-dynamic-routing (2:25.0.0~rc1-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.
  * d/rules: Fix to work with rc versions.
  * d/p/install-missing-files.patch: Ensure alembic migrations are
    installed as part of the Python module.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Sep 2024 08:31:53 +0100

## neutron-dynamic-routing 25.0.0

=== requirements.txt ===
--- 
+++ 
@@ -21,7 +21,7 @@
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
 oslo.utils>=4.5.0 # Apache-2.0
-neutron>=14.0.0.0b1 # Apache-2.0
+neutron>=25.0.0.0b1 # Apache-2.0
 
 # The comment below indicates this project repo is current with neutron-lib
 # and should receive neutron-lib consumption patches as they are released

=== debian/changelog ===
neutron-dynamic-routing (2:25.0.0-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090445).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 13:08:42 +0100

neutron-dynamic-routing (2:25.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Oct 2024 08:29:26 +0200

neutron-dynamic-routing (2:25.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Sep 2024 14:17:13 +0200

neutron-dynamic-routing (2:25.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Sep 2024 09:34:06 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- neutron-common (>= 2:24.0.0~),
+ neutron-common (>= 2:25.0.0~),
  python3-alembic,
  python3-coverage,
  python3-eventlet,
@@ -22,7 +22,7 @@
  python3-hacking,
  python3-httplib2,
  python3-netaddr,
- python3-neutron (>= 2:24.0.0~),
+ python3-neutron (>= 2:25.0.0~),
  python3-neutron-lib,
  python3-openstackdocstheme,
  python3-os-ken,
@@ -130,7 +130,7 @@
  python3-eventlet,
  python3-httplib2,
  python3-netaddr,
- python3-neutron (>= 2:24.0.0~),
+ python3-neutron (>= 2:25.0.0~),
  python3-neutron-lib,
  python3-os-ken,
  python3-oslo.config,

## neutron-dynamic-routing 25.0.0+git2025011511.c7951ae

=== debian/changelog ===
neutron-dynamic-routing (2:25.0.0+git2025011511.c7951ae-0ubuntu1) plucky; urgency=medium

  [ James Page ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.

  [ Myles Penner ]
  * New upstream release for OpenStack Epoxy.
  * d/control: Remove outdated dependencies.

  [ James Page ]
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 21 Jan 2025 10:21:56 +0000

neutron-dynamic-routing (2:25.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Thu, 03 Oct 2024 10:32:26 +0100

## neutron-dynamic-routing 25.0.0+git2025030311.67fbc2e

=== debian/changelog ===
neutron-dynamic-routing (2:25.0.0+git2025030311.67fbc2e-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- Myles Penner <myles.penner@canonical.com>  Wed, 05 Mar 2025 10:09:15 +0000

## neutron-dynamic-routing 26.0.0

=== requirements.txt ===
--- 
+++ 
@@ -1,13 +1,9 @@
 # Requirements lower bounds listed here are our best effort to keep them up to
 # date but we do not test them so no guarantee of having them all correct. If
 # you find any incorrect lower bounds, let us know or propose a fix.
-
-# The order of packages is significant, because pip processes them in the order
-# of appearance. Changing the order has an impact on the overall integration
-# process, which may cause wedges in the gate later.
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 
-eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
+eventlet>=0.27.0 # MIT
 httplib2>=0.9.1 # MIT
 netaddr>=0.7.18 # BSD
 SQLAlchemy>=1.3.3 # MIT

=== debian/changelog ===
neutron-dynamic-routing (2:26.0.0-3) unstable; urgency=medium

  * Add force-use_json-false.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Apr 2025 10:40:43 +0200

neutron-dynamic-routing (2:26.0.0-2) unstable; urgency=medium

  * Desactivate add-retry-of-get_bgp_speakers.patch that doesn't seem
    mandatory in this release anymore.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Apr 2025 09:31:33 +0200

neutron-dynamic-routing (2:26.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 14:34:27 +0200

neutron-dynamic-routing (2:26.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 21:21:16 +0100

neutron-dynamic-routing (2:26.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Mar 2025 17:12:21 +0100

=== debian/control ===
--- 
+++ 
@@ -22,8 +22,8 @@
  python3-hacking,
  python3-httplib2,
  python3-netaddr,
- python3-neutron (>= 2:25.0.0~),
- python3-neutron-lib,
+ python3-neutron (>= 2:26.0.0~),
+ python3-neutron-lib (>= 3.18.2),
  python3-openstackdocstheme,
  python3-os-ken,
  python3-oslo.concurrency,
@@ -130,8 +130,8 @@
  python3-eventlet,
  python3-httplib2,
  python3-netaddr,
- python3-neutron (>= 2:25.0.0~),
- python3-neutron-lib,
+ python3-neutron (>= 2:26.0.0~),
+ python3-neutron-lib (>= 3.18.2),
  python3-os-ken,
  python3-oslo.config,
  python3-oslo.db,

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/neutron-dynamic-routing/tags .*/(\d[brc\d\.]+)\.tar\.gz

## neutron-dynamic-routing 26.0.0+git2025070714.5d82834

=== debian/changelog ===
neutron-dynamic-routing (2:26.0.0+git2025070714.5d82834-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs.
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 22 Jul 2025 11:08:06 -0700

neutron-dynamic-routing (2:26.0.0-0ubuntu1) plucky; urgency=medium

  [ Guillaume Boutry ]
  * d/watch: Track Epoxy series releases.

  [ Myles Penner ]
  * New upstream release for OpenStack Epoxy.
  * d/p/install-missing-files.patch: Refresh patch

 -- Myles Penner <myles.penner@canonical.com>  Thu, 03 Apr 2025 13:35:56 -0700

## neutron-dynamic-routing 27.0.0~rc1

=== debian/changelog ===
neutron-dynamic-routing (2:27.0.0~rc1-2~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-flamingo.debian.net>  Mon, 29 Sep 2025 10:40:23 +0000

neutron-dynamic-routing (2:27.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 12:01:58 +0200

neutron-dynamic-routing (2:27.0.0~rc1-1) experimental; urgency=medium

  * New upstraem release.
  * Removed (build-)depends version, satisfied in Trixie.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Sep 2025 10:48:00 +0200
